docs: Update CONTRIBUTING.md to mention uv (#3965)

* Remove Poetry check, update uv command, and remove dev target from Makefile

* Update CONTRIBUTING.md to reflect new development setup and remove docker-compose instructions
This commit is contained in:
Gabriel Luiz Freitas Almeida 2024-09-30 16:23:35 -03:00 • committed by GitHub
commit bbeaf68a26
No known key found for this signature in database
GPG key ID: B5690EEEBB952194
2 changed files with 7 additions and 30 deletions

View file

@ -35,10 +35,8 @@ patch: ## bump the version in langflow and langflow-base
# check for required tools
check_tools:
@command -v poetry >/dev/null 2>&1 || { echo >&2 "$(RED)Poetry is not installed. Aborting.$(NC)"; exit 1; }
@command -v uv >/dev/null 2>&1 || { echo >&2 "$(RED)uv is not installed. Aborting.$(NC)"; exit 1; }
@command -v npm >/dev/null 2>&1 || { echo >&2 "$(RED)NPM is not installed. Aborting.$(NC)"; exit 1; }
@command -v docker >/dev/null 2>&1 || { echo >&2 "$(RED)Docker is not installed. Aborting.$(NC)"; exit 1; }
@command -v pipx >/dev/null 2>&1 || { echo >&2 "$(RED)pipx is not installed. Aborting.$(NC)"; exit 1; }
@$(MAKE) check_env
@echo "$(GREEN)All required tools are installed.$(NC)"
@ -85,7 +83,7 @@ init: check_tools clean_python_cache clean_npm_cache ## initialize the project
@make install_frontend
@make build_frontend
@echo "$(GREEN)All requirements are installed.$(NC)"
@python -m langflow run
@uv run langflow run
######################
# CLEAN PROJECT
@ -342,15 +340,6 @@ ifdef restore
mv uv.lock.bak uv.lock
endif
dev: ## run the project in development mode with docker compose
make install_frontend
ifeq ($(build),1)
@echo 'Running docker compose up with build'
docker compose $(if $(debug),-f docker-compose.debug.yml) up --build
else
@echo 'Running docker compose up without build'
docker compose $(if $(debug),-f docker-compose.debug.yml) up
endif
docker_build: dockerfile_build clear_dockerimage ## build DockerFile